version: "3.8"

# All Services
services:
  # Code to query the KG and write out the results to file for the visualisation container    
  kg-data-extractor:
    image: docker.cmclinnovations.com/kg_data_extractor:1.0.0
    build:
      context: ./kg_data_extractor
    container_name: kg-data-extractor
    environment:
      KG_HOST: ${BLAZEGRAPH_HOST}
      KG_PORT: ${BLAZEGRAPH_PORT}
      KG_PATH: "blazegraph/namespace/kb/sparql"
      KG_PROTOCOL: "http"
      ONTOP_HOST: ${ONTOP_HOST}
      ONTOP_PORT: ${ONTOP_PORT}
      ONTOP_PATH: "sparql"
      ONTOP_PROTOCOL: "http"
      POSTGRES_HOST: ${POSTGRES_HOST}
      POSTGRES_PORT: ${POSTGRES_PORT}
      POSTGRES_USER: ${POSTGRES_USER}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
      TIMESERIES_DB: "credo_timeseries"
      GEOTIF_DIR: "${GEOTIF_DIR}"
      OUTPUT_DIR: "/outputs"
      BUILDINGS_DATA_DIR: "/building_data"
      RIVER_DATA_DIR: "/river_data"
      SCENARIO_LABEL: "Scenario #0"
      SCENARIO_DIR: "scenario-0"
    security_opt:
      - label=disable
    volumes:
      - geotifs:${GEOTIF_DIR}
      - vis_data:/outputs
      - building_data:/building_data
      - river_data:/river_data

# The default network name is set using a docker-compose environment variable.
# Please don't modify the contents of the 'networks' node below.
networks:
  default:
    name: ${NETWORK_NAME}

volumes:
  geotifs: null
  vis_data: null
  building_data: null
  river_data: null
